@import url('https://fonts.googleapis.com/css2?family=Dongle:wght@300;400;700&family=Roboto+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;1,100;1,200;1,300;1,400;1,500;1,600&display=swap" rel="stylesheet');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Dongle', sans-serif;
  font-family: 'Roboto Mono', monospace;
}
::selection{
  color: #fff;
  background: #4db2ec;
}
body{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  /* background: #0B2447;
  background-image: linear-gradient(to right, #2E4F4F 0%, #0B2447 100%); */
  background-color: #21D4FD;
  background-image: linear-gradient(19deg, #21D4FD 0%, #B721FF 100%);

  padding: 2em 0;
}
.text-center{
  text-align:center;
  justify-content: center;
}
.mx-auto{
  margin: 0 auto;
}
#page-title{
  color: #fff;
  text-align: center;
  font-weight: 500;
}
#title_hr{
  width:60px;
  border: 2px solid #ffffff;
  margin: .35em auto;
}
.container{
  margin: 5rem 3rem;
}
/* Text color */
.text-muted{
  color: #585858;
}
.input-label{
  display: block;
  font-weight: 500;
  color: #444444;
  margin-bottom:.35em
}
/* form input-field */
.input-field{
  margin: .5em .35em; 
}
/* form input-field */
.input-field input{
  padding: .5em 1em;
  outline:none;
  border: 1px solid #c4c4c4;
  width: 100%;
}
.input-field input:focus{
  border: 1px solid #0098fd;
  box-shadow: 0px 0px 10px #0098fd;
}
.login-btn, .reset-btn{
  text-decoration: none;
  padding: .5em 1em;
  border: none;
  background-color: #02a3ee;
  color: #fff;
  font-weight: 500;
  display: block;
  margin: .35em auto;
  border-radius: 3px;
  text-align: center;
  min-width: 100px;
  cursor: pointer;
}
.login-btn:hover,
.reset-btn:hover,
.login-btn:active,
.reset-btn:active{
  background-color: #048eff;
  box-shadow: 0px 0px 10px #048eff3b;

}
.logout-btn{
  text-decoration: none;
  padding: .5em 1em;
  border: none;
  background-color: #f8390a;
  color: #fff;
  font-weight: 500;
  display: block;
  margin: .35em auto;
  border-radius: 3px;
  text-align: center;
  min-width: 100px;
  cursor: pointer;
}
.logout-btn:hover,
.logout-btn:active{
  background-color: #f81a0a;
  box-shadow: 0px 0px 10px #f81a0a36;

}
/* Login Wrapper */
#login-wrapper{
  width: 350px;
  margin: 1em auto;
  padding: 1em 1.5em;
  background-color: #fff;
  border: 1px solid #d4d4d4;
  box-shadow: 0px 0px 10px #00000069;
}
/* Profile Wrapper */
#profile-wrapper{
  width: 400px;
  margin: 1em auto;
  padding: 1em 1.5em;
  background-color: #fff;
  border: 1px solid #d4d4d4;
  box-shadow: 0px 0px 10px #00000069;
}
.message-success,
.message-error{
  width: 100%;
  padding: 1em;
  margin: 1em .5em;
}
.message-success{
  background-color: #04bd60;
  color: #d9ffec;
}
.message-error{
  background-color: #ff2e12;
  color: #f9dbd8;
}


/* Mobile View */
@media (max-width: 480px){
  #login-wrapper{
    width: 95%;
  }
  #profile-wrapper{
    width: 95%;
  }
}
dl{
  margin-bottom: 1.5em;
}
dt{
  color: #4e4e4e;
}
dd{
  color: #292929;
  padding-left: 1em;
}